package com.ruoyi.web.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.domain.dto.employment.EmploymentDataQueryRequest;
import com.ruoyi.web.domain.entity.EmploymentData;


/**
 *
 */
public interface EmploymentDataService extends IService<EmploymentData> {
    Integer addEmploymentData(EmploymentData employmentData);

    boolean deleteEmploymentData(String ids);

    void editEmploymentData(EmploymentData employmentData);

    EmploymentData getEmploymentDataById(int id);

    Page<EmploymentData> getListEmploymentDataByPage(EmploymentDataQueryRequest employmentDataQueryRequest);
}
